Page MenuHomePhabricator

Unable to solve captcha on RTL languages due to bad element position
Closed, ResolvedPublic

Description

I've tried to add an external link on fa.wp, and the captcha block is inlined. Impossible to type the captcha code.

This seems to be specific to RTL languages: a test on a LTR wiki puts the captcha screen at the right place.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterClean up captcha form and remove <link> to stylesheet
mediawiki/extensions/Flow : masterGet captcha text in user language
mediawiki/extensions/Flow : wmf/1.27.0-wmf.4Clean up captcha form and remove <link> to stylesheet

Event Timeline

Trizek-WMF raised the priority of this task from to Needs Triage.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 28 2015, 1:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF triaged this task as Unbreak Now! priority.Oct 28 2015, 5:05 PM
Mattflaschen-WMF set Security to None.
Catrope assigned this task to Mooeypoo.Oct 29 2015, 5:41 PM

Change 249882 had a related patch set uploaded (by Mooeypoo):
Clean up captcha form and remove <link> to stylesheet

https://gerrit.wikimedia.org/r/249882

Change 249882 merged by jenkins-bot:
Clean up captcha form and remove <link> to stylesheet

https://gerrit.wikimedia.org/r/249882

Change 249910 had a related patch set uploaded (by Catrope):
Clean up captcha form and remove <link> to stylesheet

https://gerrit.wikimedia.org/r/249910

Change 249882 had a related patch set uploaded (by Mooeypoo):
Clean up captcha form and remove <link> to stylesheet
https://gerrit.wikimedia.org/r/249882

That fixes the immediate issue, so I've put that in the upcoming SWAT. However, it does break styles and scripts for CAPTCHAs completely, so we should come up with a proper fix that allows CAPTCHA implementations to add RL modules without that resulting in double-including a bunch of skin CSS.

Change 249910 merged by jenkins-bot:
Clean up captcha form and remove <link> to stylesheet

https://gerrit.wikimedia.org/r/249910

Change 249926 had a related patch set uploaded (by Mooeypoo):
Get captcha text in user language

https://gerrit.wikimedia.org/r/249926

Change 249926 merged by jenkins-bot:
Get captcha text in user language

https://gerrit.wikimedia.org/r/249926

Checked in betalabs - translation corrections to CAPTCHA are done and the captcha can be resolved..

Catrope closed this task as Resolved.Nov 13 2015, 7:36 PM